com.r3corda.contracts.cash / FungibleAsset / State

# State

`interface State<T> : FungibleAssetState<T, AssetIssuanceDefinition<T>>`

A state representing a claim against some party

### Properties

amount | `abstract val amount: Amount<T>`
deposit | `abstract val deposit: PartyAndReference` Where the underlying asset backing this ledger entry can be found (propagated)
notary | `abstract val notary: Party` Identity of the notary that ensures this state is not used as an input to a transaction more than once
owner | `abstract val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount

### Inherited Properties

issuanceDef | `abstract val issuanceDef: I`

### Inheritors

State | `data class State : State<Currency>` A state representing a cash claim against some party